/*
 * =====================================================================================
 *
 *       Filename:  rs232.h
 *
 *    Description:  RS232 class
 *
 *        Version:  1.0
 *        Created:  12.05.2016 21:37:12
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Simon Ferber (https://www.ist-schlau.de), simon@ist-schlau.de
 *   Organization:  Kiwi Homebrew Computer
 *
 * =====================================================================================
 */

#ifndef RS232_H
#define RS232_H

class rs232
{
public:
    void send (char c); // send a single character
    char receive(); // receive a character from the buffer
    void setmode (mode *m); // set rs232 port mode (speed, parity, etc)
    mode getmode(); // get actual port mode
private:
}

#endif
