/*
 * =====================================================================================
 *
 *       Filename:  splash.h
 *
 *    Description:  Splash screen
 *
 *        Version:  1.0
 *        Created:  31.05.2016 12:32:40
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Simon Ferber (https://www.ist-schlau.de), simon@ist-schlau.de
 *   Organization:  Kiwi Homebrew Computer
 *
 * =====================================================================================
 */

#ifndef SPLASH_H
#define SPLASH_H

#include <string>
#include <cstdint>
extern "C" {
#include <v9990.h>
}

#define VRAM_FONT 0x20000

void showSplash(uint16_t positionX, uint16_t positionY);

#endif
