/*
 * =====================================================================================
 *
 *       Filename:  textinput.h
 *
 *    Description: Textinput class
 *
 *        Version:  1.0
 *        Created:  22.05.2016 15:09:28
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Simon Ferber (https://www.ist-schlau.de), simon@ist-schlau.de
 *   Organization:  Kiwi Homebrew Computer
 *
 * =====================================================================================
 */

#ifndef TEXTINPUT_H
#define TEXTINPUT_H

#include "textbox.h"

#include <string>

class textbox;

class textinput : public textbox
{
public:
    textinput (uint16_t x=0, uint16_t y=0, uint16_t width=0, uint16_t height=0);
    ~textinput();
    void cputc(char c);
    std::string getValue();
    void clearValue();
    void render();
private:
    std::string *buffer;
};
#endif
