/*
 * =====================================================================================
 *
 *       Filename:  hammacros.h
 *
 *    Description:  Hamterm Macro class
 *
 *        Version:  1.0
 *        Created:  22.05.2016 16:13:35
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Simon Ferber (https://www.ist-schlau.de), simon@ist-schlau.de
 *   Organization:  Kiwi Homebrew Computer
 *
 * =====================================================================================
 */

#ifndef HAMMACRO_H
#define HAMMACRO_H

#include <string>
#include <vector>

class macro
{
public:
    macro(); /* Load macros from file */
    std::string *getMacro (uint8_t number);
private:
    std::vector<std::string *> macros;
};

#endif
