/*
 * =====================================================================================
 *
 *       Filename:  label.h
 *
 *    Description:  Label class
 *
 *        Version:  1.0
 *        Created:  22.05.2016 13:58:03
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Simon Ferber (https://www.ist-schlau.de), simon@ist-schlau.de
 *   Organization:  Kiwi Homebrew Computer
 *
 * =====================================================================================
 */

#ifndef LABEL_H
#define LABEL_H

#include "widget.h"
#include <string>

extern "C" {
#include <v9990.h>
}

class label : public widget
{
public:
    label();
    ~label();
    label (uint16_t x=0, uint16_t y=0, std::string btn_caption="");
    void render();
private:
    std::string caption;
};

#endif
