/*
 * =====================================================================================
 *
 *       Filename:  widget.cpp
 *
 *    Description:  Widget class
 *
 *        Version:  1.0
 *        Created:  15.05.2016 13:11:17
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Simon Ferber (https://www.ist-schlau.de), simon@ist-schlau.de
 *   Organization:  Kiwi Homebrew Computer
 *
 * =====================================================================================
 */

#include "widget.h"

/* Public parts */
//widget::widget()
//{
//	positionX=0;
//	positionY=0;
//}

widget::~widget()
{
}

void widget::moveXY (uint16_t x, uint16_t y)
{
    positionX = x;
    positionY = y;
}

uint16_t widget::getX()
{
    return positionX;
}

uint16_t widget::getY()
{
    return positionY;
}

uint16_t widget::getWidth()
{
    return width;
}

uint16_t widget::getHeight()
{
    return height;
}

void widget::render (bool pressed)
{
    //std::cout << "Widget!" << std::endl;
}

widget::type widget::getType()
{
    return widgetType;
}

void widget::doAction (action widgetAction)
{
}

widget::action widget::getlastAction()
{
}

void widget::setCallback (void (*cb) (widget *w))
{
    callback = cb;
}

void widget::setActive (bool a)
{
    active = true;
}

bool widget::isActive()
{
    return active;
}
screen *widget::getTopScreen()
{
    return topScreen;
}

void widget::setWidgetNumber(uint8_t num)
{
    number = num;
}

uint8_t widget::getWidgetNumber()
{
    return number;
}

/* Private parts */
